GDAL-INFO(1)

NAME
gdal-info - Get information on a dataset

Added in version 3.11.

Acts as a shortcut for "gdal raster info" sub-command or "gdal vector info" sub-command depending on the nature of the specified dataset.

SYNOPSIS

    Usage: gdal info [OPTIONS] <INPUT>
    Return information on a dataset (shortcut for 'gdal raster info' or 'gdal vector info').
    Positional arguments:
      -i, --input <INPUT>                                  Input raster, vector or multidimensional raster dataset [required]
    Common Options:
      -h, --help                                           Display help message and exit
      --version                                            Display GDAL version and exit
      --json-usage                                         Display usage as JSON document and exit
      --drivers                                            Display driver list as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
    Options:
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format. OUTPUT-FORMAT=json|text (default: json)
    For all options, run 'gdal raster info --help' or 'gdal vector info --help'

EXAMPLES

  Example 1: Getting information on the file utm.tif (with JSON output)

    $ gdal info utm.tif

  Example 2: Getting information on the file poly.gpkg (with text output), listing all features

    $ gdal info --format=text --features poly.gpkg

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025